Subject: cmake configure issue
Description

when I configure cmake to prepare for compiling project,I got some warnnings like:
Warning: Libwww: Library not found: LIBWWWFTP_LIBRARY
Warning: Libwww: Library not found: LIBWWWGOPHER_LIBRARY
Warning: Libwww: Library not found: LIBWWWNEWS_LIBRARY
Warning: Libwww: Library not found: LIBWWWTELNET_LIBRARY
Warning: Libwww: Library not found: LIBWWWXML_LIBRARY
Warning: Libwww: Library not found: LIBWWWZIP_LIBRARY
Warning: Libwww: Library not found: LIBXMLPARSE_LIBRARY
Warning: Libwww: Library not found: LIBXMLTOK_LIBRARY
Warning: Libwww: Library not found: LIBWWWSSL_LIBRARY
Warning: Libwww: Library not found: LIBMD5_LIBRARY
Warning: Libwww: Library not found: LIBPICS_LIBRARY

After I generate project ,I fail to see server.sln and client.sln,only to find ryzomcore.sln and nel.sln.Can anyone help?thanks

History
#1 - 08/09/2011 01:44 pm - molator

That's not an issue.
That's debug infos.

There's no client.sln nor server.sln.
See your own posr:
http://dev.ryzom.com/boards/17/topics/5092?r=5098#message-5098
And read the wiki:
http://dev.ryzom.com/projects/ryzom/wiki/BuildForWindowsCmake

#2 - 08/09/2011 02:11 pm - kervala
- Status changed from New to Rejected

#3 - 08/10/2011 03:15 am - dante

I am new to ryzom ,rookie mistake.thanks.I am trying to build a client to test a server.

#4 - 08/10/2011 03:40 am - dante

now I got nel_drv_direct3d_win not found when I try to run client on windows.I didn't change the config ,I assume it should connect to
"open.ryzom.com:40916";
#5 - 08/10/2011 04:18 am - dante

I should compile nel.sln to get  \nel\lib\ for the DLLs?I already done that and \nel\lib\ didn't appear.

#6 - 08/11/2011 04:34 am - Nakarti

More explicitly that's debug infos telling you that your libwww is missing pieces. You may have not gotten it installed correctly or have a too-old
version.

#7 - 08/11/2011 10:06 am - kervala

Nakarti wrote:

More explicitly that's debug infos telling you that your libwww is missing pieces. You may have not gotten it installed correctly or have a too-old
version.

No, that's normal under Windows because not all libs are needed.
